// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_icemountain/im1_sky1
{
	qer_editorimage env/ut4_icemountain/arcsky2_bk.tga
	
	skyparms env/ut4_icemountain/arcsky2 128 -
	
	q3map_sunEXT 1 1 1 300 0 90 1 16
//	q3map_lightRGB 0.8 0.8 0.8
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 200 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Holopanels ===---

textures/ut4_icemountain/im1_hologo_b
{
	qer_editorimage textures/ut4_icemountain/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_icemountain/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_icemountain/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_icemountain/im1_hologo_r
{
	qer_editorimage textures/ut4_icemountain/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_icemountain/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_icemountain/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== No Damage ===---

textures/ut4_icemountain/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/e8cretefloor01:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/e8cretefloor01b:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/e8cretefloor01c:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/e8warning128:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/kilt_board01:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/kilt_board02:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/kilt_board03:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/kilt_board04:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/kw_rope4:q3map
{
	surfaceparm nodamage
}

textures/ut4_icemountain/pr_roof05:q3map
{
	surfaceparm nodamage
}

// ---=== non-solids ===---

// ---=== Slick Textures ===--

textures/ut4_icemountain/pr_glassblock09:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_icemountain/lw_rock_snow1IA:q3map
{
	surfaceparm slick
}

textures/ut4_icemountain/lw_rock_snow2CCW:q3map
{
	surfaceparm slick
}

textures/ut4_icemountain/lw_rock_snow3DR:q3map
{
	surfaceparm slick
}

textures/ut4_icemountain/pr_snow006:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_icemountain/pr_snow007:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_icemountain/pr_snow008:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

// ---=== Glass ===---

textures/ut4_icemountain/im1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_icemountain/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_icemountain/im1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_icemountain/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_icemountain/im1_chrome1
{
	qer_editorimage textures/ut4_icemountain/chrome1.tga
	surfaceparm nodamage

	{
		map textures/ut4_icemountain/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_icemountain/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_icemountain/im1_shn_e8base1c
{
	qer_editorimage textures/ut4_icemountain/e8_base1c.jpg

	{
		map textures/ut4_icemountain/e8_base1c.jpg
	}
	{
		map textures/ut4_icemountain/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Ladderclip ===---

textures/ut4_icemountain/im1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_icemountain/e6basicstrip_blue
{
	qer_editorimage textures/ut4_icemountain/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icemountain/e6basicstrip_blue.tga
	}
}

textures/ut4_icemountain/e6basicstrip_green
{
	qer_editorimage textures/ut4_icemountain/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icemountain/e6basicstrip_green.tga
	}
}

textures/ut4_icemountain/e6basicstrip_orange
{
	qer_editorimage textures/ut4_icemountain/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icemountain/e6basicstrip_orange.tga
	}
}

textures/ut4_icemountain/e6basicstrip_purple
{
	qer_editorimage textures/ut4_icemountain/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icemountain/e6basicstrip_purple.tga
	}
}

textures/ut4_icemountain/e6basicstrip_red
{
	qer_editorimage textures/ut4_icemountain/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icemountain/e6basicstrip_red.tga
	}
}

textures/ut4_icemountain/e6basicstrip_white
{
	qer_editorimage textures/ut4_icemountain/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icemountain/e6basicstrip_white.tga
	}
}

textures/ut4_icemountain/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_icemountain/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_icemountain/e6basicstrip_yellow.tga
	}
}

// ---=== Evil Shaders ===---

textures/ut4_icemountain/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_icemountain/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_icemountain/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_icemountain/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ---=== MODELS ===---
///////////////////////////////////////
//SNOWY FIR TREE #2 ORIGINAL TEXTURE//
//////////////////////////////////////

models/mapobjects/ut4_icemountain/trees/rc/fir_snowtrunkbase2
{
	cull none
	q3map_bounce .1
	q3map_splotchfix  
	q3map_nonplanar
	surfaceparm alphashadow
	surfaceparm structural
	q3map_shadeangle 45
	surfaceparm playerclip
	nopicmip
	{
		map models/mapobjects/ut4_icemountain/trees/rc/fir_snowtrunkbase2.tga
		rgbGen vertex
	}
}
models/mapobjects/ut4_icemountain/trees/rc/fir_trunk2
{
	cull none
	surfaceparm alphashadow
	q3map_splotchfix  
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm structural
	surfaceparm playerclip
	q3map_bounce .1
	nopicmip
	{
		map models/mapobjects/ut4_icemountain/trees/rc/fir_trunk2.tga
		rgbGen vertex
	}
}

models/mapobjects/ut4_icemountain/trees/rc/fir_snowbranch2
{
	cull none
	q3map_bounce .1
	surfaceparm alphashadow
	q3map_splotchfix  
	q3map_nonplanar
	surfaceparm trans
	nopicmip
	deformVertexes wave 194 sin 0 2 0 .2

	{
		map models/mapobjects/ut4_icemountain/trees/rc/fir_snowbranch2.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

// ---=== lamps and torches ===---

textures/ut4_icemountain/im1_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_icemountain/flame7.tga
	

	{
		animMap 10 textures/ut4_icemountain/flame1.tga textures/ut4_icemountain/flame2.tga textures/ut4_icemountain/flame3.tga textures/ut4_icemountain/flame4.tga textures/ut4_icemountain/flame5.tga textures/ut4_icemountain/flame6.tga textures/ut4_icemountain/flame7.tga textures/ut4_icemountain/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_icemountain/flame2.tga textures/ut4_icemountain/flame3.tga textures/ut4_icemountain/flame4.tga textures/ut4_icemountain/flame5.tga textures/ut4_icemountain/flame6.tga textures/ut4_icemountain/flame7.tga textures/ut4_icemountain/flame8.tga textures/ut4_icemountain/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_icemountain/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// Shader file created for Lamp model by LordSquart

models/mapobjects/ut4_icemountain/ls_lamp/xredflare2
{
cull disable
surfaceparm trans
surfaceparm nolightmap
    deformVertexes autoSprite2
{
map models/mapobjects/ut4_icemountain/ls_lamp/xredflare2.tga
blendfunc add
rgbgen identity
}
}

models/mapobjects/ut4_icemountain/ls_lamp/xblueflare2
{
cull disable
surfaceparm trans
surfaceparm nolightmap
    deformVertexes autoSprite2
{
map models/mapobjects/ut4_icemountain/ls_lamp/xblueflare2.tga
blendfunc add
rgbgen identity
}
}

models/mapobjects/ut4_icemountain/ls_lamp/xorangeflare2
{
cull disable
surfaceparm trans
surfaceparm nolightmap
    deformVertexes autoSprite2
{
map models/mapobjects/ls_lamp/xorangeflare2.tga
blendfunc add
rgbgen identity
}
}

models/mapobjects/ut4_icemountain/ls_lamp/xorangeflare2_move
{
    cull disable
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map models/mapobjects/ls_lamp/xorangeflare2.tga
		blendFunc Add
		rgbGen identity
	}

}

models/mapobjects/ut4_icemountain/ls_lamp/xblueflare2_move
{
    cull disable
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map models/mapobjects/ls_lamp/xblueflare2.tga
		blendFunc Add
		rgbGen identity
	}

}

models/mapobjects/ut4_icemountain/ls_lamp/xredflare2_move
{
    cull disable
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map models/mapobjects/ls_lamp/xredflare2.tga
		blendFunc Add
		rgbGen identity
	}

}

models\mapobjects\bfp\gothl\gothl_lampscreen
{
	q3map_surfacelight 1000
	{
		map models\mapobjects\ut4_mountainside\bfp\gothl\gothl_lampscreen.tga
		//blendfunc gl_one_minus_dst_alpha gl_src_color
		blendfunc add

	}
}

models\mapobjects\bfp\gothl\gothl_bulp
{
	q3map_surfacelight 1000
	{
		map models\mapobjects\ut4_mountainside\bfp\gothl\gothl_bulp.tga
		blendfunc add
	}
}

models\mapobjects\bfp\gothl\gothl_glow
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.20

	cull none
	{
		map models\mapobjects\ut4_mountainside\bfp\gothl\gothl_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}
